from django.test import RequestFactory, SimpleTestCase, override_settings

from ferda_verification.context_processors import ferda_verification_settings


@override_settings(
    ROOT_URLCONF="ferda_verification.tests.urls",
    FERDA_VERIFICATION_VERIFICATION_PORTAL_URL="localhost",
)
class TestContextProcessors(SimpleTestCase):
    def setUp(self):
        self.request_factory = RequestFactory()

    def test_settings(self):
        request = self.request_factory.get("/", {})
        self.assertEqual(
            ferda_verification_settings(request),
            {"ferda_verification_settings": {"verification_portal_url": "localhost"}},
        )
